Skip to main content
POST
/
rewards
/
claim-schedules
Create a claim schedule
curl --request POST \
  --url https://api.example.com/rewards/claim-schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payout_group_id": "<string>",
  "schedule_type": "DAILY"
}
'
{
  "claim_schedule": {
    "id": "<string>",
    "payout_group_id": "<string>",
    "schedule_type": "DAILY",
    "next_run_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
OAuth Scope
rewards:write_claims_schedule

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
payout_group_id
string
required
schedule_type
enum<string>
required
Available options:
DAILY

Response

200 - application/json

A successful response.

claim_schedule
object